Loading...
Searching...
No Matches
Ogre::AnimationStateControllerValue Class Reference
Core » Animation

ControllerValue wrapper class for AnimationState. More...

`#include <OgreAnimationState.h>`

Inheritance diagram for Ogre::AnimationStateControllerValue:
[legend]

## Public Member Functions

| AnimationStateControllerValue (AnimationState *targetAnimationState, bool addTime=false)
float | getValue (void) const override
| ControllerValue implementation.
void | setValue (float value) override
| ControllerValue implementation.
Public Member Functions inherited from Ogre::ControllerValue< float >
virtual | ~ControllerValue ()

## Static Public Member Functions

static ControllerValueRealPtr | create (AnimationState *targetAnimationState, bool addTime=false)
| create an instance of this class

## Detailed Description

ControllerValue wrapper class for AnimationState.

In Azathoth and earlier, AnimationState was a ControllerValue but this actually causes memory problems since Controllers delete their values automatically when there are no further references to them, but AnimationState is deleted explicitly elsewhere so this causes double-free problems. This wrapper acts as a bridge and it is this which is destroyed automatically.

## Constructor & Destructor Documentation

## AnimationStateControllerValue()

Ogre::AnimationStateControllerValue::AnimationStateControllerValue | ( | AnimationState * | targetAnimationState,
|  | bool | addTime = false )

inline

Deprecated
  use create instead

## Member Function Documentation

## create()

ControllerValueRealPtr Ogre::AnimationStateControllerValue::create | ( | AnimationState * | targetAnimationState,
|  | bool | addTime = false )

static

create an instance of this class

Parameters

  targetAnimationState |
  addTime | if true, increment time instead of setting to an absolute position

## getValue()

float Ogre::AnimationStateControllerValue::getValue | ( | void |  | ) | const

inline override virtual

ControllerValue implementation.

Implements Ogre::ControllerValue< float >.

## setValue()

void Ogre::AnimationStateControllerValue::setValue | ( | float | value | ) |

inline override virtual

ControllerValue implementation.

Implements Ogre::ControllerValue< float >.

The documentation for this class was generated from the following file:

- OgreAnimationState.h